Subject: RE: Does Cygwin's `-mno-cygwin' need Mingw?
From: Bernard Dautrevaux <[email-masked]>
To: "'Fergus Henderson'" <[email-masked]>, Earnie Boyd <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Oct 2000 17:15:39 +0200

> -----Original Message-----
> From: Fergus Henderson [mailto:[email-masked]]
> Sent: Wednesday, October 18, 2000 4:44 PM
> To: Earnie Boyd
> Cc: [email-masked]
> Subject: Re: Does Cygwin's `-mno-cygwin' need Mingw?
> 
> 
> On 16-Oct-2000, Earnie Boyd <[email-masked]> wrote:
> > --- Chris Faylor <[email-masked]> wrote:
> > > On Mon, Oct 16, 2000 at 09:51:11AM -0700, Earnie Boyd wrote:
> > > >
> > > >The -mno-cygwin switch of the Cygwin product is not 
> considered MinGW by
> > > >the MinGW development team.  MinGW has it's own set of 
> GCC/binutils
> > > >tools.  We are currently in the process of preparing a 
> more upto date
> > > >package.
> 
> OK, I have some follow-up questions:
> 
> 	- Is there much difference between the two?
> 
> 	- Is there an official name for the `-mno-cygwin' 
> option of Cygwin?
> 	  "The -mno-cygwin switch of the Cygwin product" is a bit wordy.
> 	  (Perhaps it should be called "Clayton's Cygwin" ;-)
> 	
> 	- Cygwin and "Cygwin -mno-cygwin" are sufficiently 
> different that
> 	  I think it would make sense for them to have 
> different autoconf
> 	  canonical system names -- after all, Mingw has a 
> different name,
> 	  and "Cygwin -mno-cygwin" is closer to Mingw than to Cygwin.
> 	  Currently autoconf seems to configure as "i*86-pc-cygwin",
> 	  even if you invoke configure as "CC='gcc -mno-cygwin' 
> ./configure".
> 	  Should it configure report the host system type as 
> "i*86-pc-mingw"
> 	  in that situation?  Or should we invent a new name for that?
> 	  If so, what should it be?
> 

In doing what you describe you're in fact using a cross-compiler from cygwin
to Win32; as everytime you want to use a cross-compielr to build a program,
you should specify the host system to configure (and usually also the host
system, as old configure may think that build == host if you only supply the
host).

You then have to 
	CC="gcc -mno-cygwin" ./configure --build=`config.guess`
--host=ix86-unknown-mingw32

Here I'm assuming mingw32 is quite close to what you get with the
-mno-cygwin option, at least to the point of the configured system to work
nice.

Of course we could have an ix86-unknown-nocygwin canonical host name, but I
think this is a bit confusing, and using mingw32 in this context seems quite
OK.

Regards,

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Send a message to [email-masked]